CppExecutable (Gradle API 9.7.0)
Description: declaration: package: org.gradle.language.cpp, interface: CppExecutable

# Interface CppExecutable

All Superinterfaces:
  `BuildableComponent, ComponentWithCoordinates, ComponentWithDependencies, ComponentWithExecutable, ComponentWithInstallation, ComponentWithNativeRuntime, ComponentWithObjectFiles, ComponentWithOutputs, ComponentWithRuntimeUsage, CppBinary, Named, PublishableComponent, SoftwareComponent`

public interface CppExecutable extends CppBinary, ComponentWithExecutable, ComponentWithInstallation, ComponentWithOutputs, ComponentWithRuntimeUsage, PublishableComponent
An executable built from C++ source.

Since:
  4.2

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface CppBinary

  `DEBUGGABLE_ATTRIBUTE, LINKAGE_ATTRIBUTE, OPTIMIZED_ATTRIBUTE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<RegularFile>`
  `getDebuggerExecutableFile()`
  Returns the executable file to use with a debugger for this executable.

  ### Methods inherited from interface ComponentWithCoordinates

  `getCoordinates`

  ### Methods inherited from interface ComponentWithDependencies

  `getDependencies`

  ### Methods inherited from interface ComponentWithExecutable

  `getExecutableFile, getExecutableFileProducer, getLinkLibraries, getLinkTask`

  ### Methods inherited from interface ComponentWithInstallation

  `getInstallDirectory, getInstallTask, getRuntimeLibraries`

  ### Methods inherited from interface ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface ComponentWithObjectFiles

  `getObjects`

  ### Methods inherited from interface ComponentWithOutputs

  `getOutputs`

  ### Methods inherited from interface ComponentWithRuntimeUsage

  `getRuntimeElements`

  ### Methods inherited from interface CppBinary

  `getCompileIncludePath, getCompileTask, getCppSource, getLinkLibraries, getRuntimeLibraries, getTargetPlatform`

  ### Methods inherited from interface Named

  `getName`

- ## Method Details

  - ### getDebuggerExecutableFile

    Provider<RegularFile> getDebuggerExecutableFile()
    Returns the executable file to use with a debugger for this executable.
    Since:
      4.5